Package com.mouseviator.fsuipc.helpers

# Enum LVarHelper.LVarValueFormat

java.lang.Object
java.lang.Enum<LVarHelper.LVarValueFormat>
com.mouseviator.fsuipc.helpers.LVarHelper.LVarValueFormat

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<LVarHelper.LVarValueFormat>`, `java.lang.constant.Constable`

Enclosing class:
  LVarHelper

    public static enum LVarHelper.LVarValueFormat
    extends java.lang.Enum<LVarHelper.LVarValueFormat>

An enumeration specifying a value format for LVar read and write functions.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `DOUBLE` | 64-bit double
  `FLOAT` | 32-bit float
  `SIGNED_BYTE` | 8-bit signed integer (byte)
  `SIGNED_INTEGER` | 32-bit signed integer
  `SIGNED_SHORT` | 16-bit signed integer (short)
  `UNSIGNED_BYTE` | 8-bit unsigned integer (byte)
  `UNSIGNED_INTEGER` | 32-bit unsigned integer
  `UNSIGNED_SHORT` | 16-bit unsigned integer (short)

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static LVarHelper.LVarValueFormat` | `get​(int value)` | Returns `LVarHelper.LVarValueFormat` by corresponding int value.
  `int` | `getValue()` |
  `static LVarHelper.LVarValueFormat` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static LVarHelper.LVarValueFormat[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DOUBLE

    public static final LVarHelper.LVarValueFormat DOUBLE
    64-bit double

  - ### FLOAT

    public static final LVarHelper.LVarValueFormat FLOAT
    32-bit float

  - ### SIGNED_INTEGER

    public static final LVarHelper.LVarValueFormat SIGNED_INTEGER
    32-bit signed integer

  - ### UNSIGNED_INTEGER

    public static final LVarHelper.LVarValueFormat UNSIGNED_INTEGER
    32-bit unsigned integer

  - ### SIGNED_SHORT

    public static final LVarHelper.LVarValueFormat SIGNED_SHORT
    16-bit signed integer (short)

  - ### UNSIGNED_SHORT

    public static final LVarHelper.LVarValueFormat UNSIGNED_SHORT
    16-bit unsigned integer (short)

  - ### SIGNED_BYTE

    public static final LVarHelper.LVarValueFormat SIGNED_BYTE
    8-bit signed integer (byte)

  - ### UNSIGNED_BYTE

    public static final LVarHelper.LVarValueFormat UNSIGNED_BYTE
    8-bit unsigned integer (byte)

- ## Method Details

  - ### values

    public static LVarHelper.LVarValueFormat[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static LVarHelper.LVarValueFormat valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null

  - ### getValue

    public int getValue()
    Returns:
      Integer value of this type.

  - ### get

    public static LVarHelper.LVarValueFormat get​(int value) throws java.security.InvalidParameterException
    Returns `LVarHelper.LVarValueFormat` by corresponding int value.
    Parameters:
      `value` - Integer value corresponding to one of enumeration constants.
    Returns:
      `LVarHelper.LVarValueFormat` by corresponding string value.
    Throws:
      `java.security.InvalidParameterException` - if value not corresponding to any enumeration value is passed.